IntegrationsSiigo

Get one customer or supplier by ID.

POST
/integrations/connections/{connection_id}/providers/siigo/contacts/get

Get one customer or supplier by ID.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/siigo/contacts/get" \  -H "Content-Type: application/json" \  -d '{    "id": "example"  }'
{  "id": "example",  "name": "Customer documents",  "kinds": [],  "identification": {    "type": "run.completed",    "number": "example",    "check_digit": "example"  },  "person_type": "legal",  "email": "ada@example.com",  "phone": "example",  "address": {    "line": "example",    "city": "example",    "state": "example",    "country": "example",    "postal_code": "example"  },  "regime": "example",  "fiscal_responsibilities": [],  "vat_responsible": false,  "status": "active",  "payment_term_days": 0,  "seller": {    "id": "example",    "name": "Customer documents"  },  "created_at": "example",  "updated_at": "example"}